Path parameters
-
Identifier for the anomaly detection job.
-
The timestamp of a single bucket result. If you do not specify this parameter, the API returns information about all buckets.
Query parameters
-
Returns buckets with anomaly scores greater or equal than this value.
-
If
true, the buckets are sorted in descending order. -
Returns buckets with timestamps earlier than this time.
-1means it is unset and results are not limited to specific timestamps. -
If
true, the output excludes interim results. -
If true, the output includes anomaly records.
-
Skips the specified number of buckets.
-
Specifies the maximum number of buckets to obtain.
-
Specifies the sort field for the requested buckets.
-
Returns buckets with timestamps after this time.
-1means it is unset and results are not limited to specific timestamps.
Body
-
Refer to the description for the
anomaly_scorequery parameter.Default value is
0.0. -
Refer to the description for the
descquery parameter.Default value is
false. -
Refer to the description for the
exclude_interimquery parameter.Default value is
false. -
Refer to the description for the
expandquery parameter.Default value is
false. -
Refer to the desription for the
sortquery parameter.
curl \
--request GET 'http://api.example.com/_ml/anomaly_detectors/{job_id}/results/buckets/{timestamp}' \
--header "Content-Type: application/json" \
--data '"{\n \"anomaly_score\": 80,\n \"start\": \"1454530200001\"\n}"'
{
"anomaly_score": 80,
"start": "1454530200001"
}